USE COWS
GO 
SET NOCOUNT ON;
GO
ALTER TABLE dbo.ODIE_RSPN_NME NOCHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.ODIE_RSPN_INFO NOCHECK CONSTRAINT ALL 
GO
	DECLARE @MaxID	Int
	SET @MaxID	=	0
	SELECT @MaxID = MAX(RSPN_ID) FROM dbo.ODIE_RSPN WITH (NOLOCK)

	INSERT INTO dbo.ODIE_RSPN WITH (TABLOCKX)
		( REQ_ID, RSPN_DT, CUST_TEAM_PDL, MNSPM_ID, RSPN_ERROR_TXT, CREAT_DT, ACK_CD, SOWS_FOLDR_PATH_NME, DOC_URL_ADR, ACT_CD, CUST_NME)
	SELECT DISTINCT rs.REQ_ID, rs.RSPN_DT, rs.CUST_TEAM_PDL, rs.MNSPM_ID, rs.RSPN_ERROR_TXT, rs.CREAT_DT, rs.ACK_CD, rs.SOWS_FOLDR_PATH_NME
		, rs.DOC_URL_ADR, rs.ACT_CD, ps.CUST_NME FROM dbo.ODIE_RSPN	rs	WITH (NOLOCK)	LEFT JOIN	dbo.ODIE_RSPN_NME ps WITH (NOLOCK)	ON rs.RSPN_ID = ps.RSPN_ID

	DELETE FROM dbo.ODIE_RSPN WITH (TABLOCKX) WHERE RSPN_ID < @MaxID + 1
GO
ALTER TABLE dbo.ODIE_RSPN_NME CHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.ODIE_RSPN_INFO CHECK CONSTRAINT ALL 
GO
